/*
 *
 * template class array
 *
 */

#ifndef ARRAY_H
#define ARRAY_H

#define CLUSTER_SZ 8

template<class T>
class array
{
 public:
  array(int cluster_size = CLUSTER_SZ);
  T& operator[](int);
  int Size(void);
  int Push(T* x);
  T&  Top(void);

 protected:
  T    *_data;
  int   _idx;
  int   _n_cluster;
  int   _remaining;
  int   _cluster_size;
};


#include "array_i.h"

#endif

