/*
 *
 * door.h
 *
 */

#ifndef DOOR_H
#define DOOR_H

#include "wdefs.h"
#include "array.h"

class Room;

class Door
{
 public:
  Door(int P1, int P2, int R);
  Door(void);
  int   Isect(WRay &R);
  Wall& GetWall(void);
  Room* GetRoom(void);
  
 private:
  int _room_idx;
  Room *_room;
  Wall  _wall;

  friend class World;

};

#include "door_i.h"

#endif
