/*
 *
 * room.h
 *
 */

#ifndef ROOM_H
#define ROOM_H

#include "door.h"


class Room
{
 public:
  Room(void);
  array<Wall *>& Walls(void);
  array<Door>&   Doors(void);
  int Isect(WRay &R, Room* &room);
  int Isect(WRay &R, IsectInfo &II);

 private:
  int Isect(WRay &R);
  array<Wall *> _wall;
  array<int>    _wall_idx;
  array<Door>   _door;

  friend class World;

};

#include "room_i.h"

#endif
