/*
 *
 * mesh_i.h
 *
 */


#ifndef MESH_I_H
#define MESH_I_H


inline MFace::MFace(void)
{
  nvertex = 0;
  vertex  = NULL;
}

inline MFace::~MFace(void)
{
  if(vertex)
    delete[] vertex;
}

inline Mesh::Mesh(void)
{
  _vertex  = NULL;
  _face    = NULL;
  _nvertex = 0;
  _nface   = 0;
  _resources  = MR_NONE;
  _error_code = ME_NONE;
  _flags      = MF_NONE;
}

inline Flag Mesh::ErrorCode(void)
{
  return _error_code;
}

inline Flags& Mesh::Mode(void)
{
  return _flags;
}

#endif
