
#include <iostream.h>
#include <gport.h>

extern "C" {
#include "ecran256.h"
}

GraphicPort *GP;
byte *graph_ptr;
byte *graph_mem;
byte *graph_colmap;
int   bytes_per_line;
int   graph_width;
int   graph_height;
int   direct_to_video = 0;

void show_page(int np)
{
  if(!direct_to_video)
    GP->SwapBuffers();
  graph_mem      = GP->GraphMem();
  graph_colmap   = GP->Colormap();
  bytes_per_line = GP->BytesPerLine();
  graph_width    = GP->Width();
  graph_height   = GP->Height();
}

void setcolor256(int no,byte re,byte gr,byte bl)
{
  GP->MapColor(no, re << 2, gr << 2, bl << 2);
//  GP->SwapBuffers();
}

void init256() 
{
  GP = MakeGraphicPort("Venus", 256, 200);

  if(GP->BitsPerPixel() != 8)
    {
      cerr << "requires 8bpp" << endl;
      exit(1);
    }

//  direct_to_video = GP->SingleBuffer();
  graph_mem      = GP->GraphMem();
  graph_colmap   = GP->Colormap();
  bytes_per_line = GP->BytesPerLine();
  graph_width    = GP->Width();
  graph_height   = GP->Height();
}

void fin256() 
{
  delete GP;
}



