
#ifndef ecran256_h
#define ecran256_h

typedef unsigned char byte;


extern byte *graph_ptr;
extern byte *graph_mem;
extern byte *graph_colmap;
extern int   bytes_per_line;
extern int   graph_height;
extern int   graph_width;

#define move(x, y) graph_ptr = graph_mem + bytes_per_line * (y) + (x)

#define set_page(np) 
void show_page(int np);
#define clr_page memset(graph_mem, graph_colmap[0], bytes_per_line * graph_height)

#define inc_x  graph_ptr++
#define dec_x  graph_ptr--
#define inc_y  graph_ptr+=bytes_per_line 
#define dec_y  graph_ptr-=bytes_per_line

#define put_pixel(c) *graph_ptr = graph_colmap[c]     

void init256();
void fin256();
void setcolor256(int no,byte r,byte g,byte b);

#endif
