/*
 *
 * colorcell.h
 *
 */

#ifndef COLORCELL_H
#define COLORCELL_H

typedef int ColorComponent;

const Flag CC_NONE      = 0;
const Flag CC_USED      = 1;

class ColorCell
{
  Flags _flags;
  ColorComponent _r,_v,_b;

 public:

  ColorCell( void );
  void Set(const ColorComponent  r, 
	   const ColorComponent  v, 
	   const ColorComponent  b);
  void Get(ColorComponent *r, ColorComponent *g, ColorComponent *b) const;
  Flags& Stat( void );
  
};

#include "colorcell_i.h"

#endif
