/*
 *
 * polygon.h
 *
 */


#ifndef POLYGON_H
#define POLYGON_H

#include "gdefs.h"

const int POLYGON_SZ = 100;

class Polygon
{
 protected:
  int _npv;
  Vertex* _pv[POLYGON_SZ];
 public:
  Polygon(void);
  void    Push(Vertex* pv);
  Vertex* operator[](int idx);
  void    Reset(void);
  int     Size(void);
};

#include "polygon_i.h"

#endif

