/*
 *
 * rect.h
 *
 */


#ifndef RECT_H
#define RECT_H

#include "gdefs.h"

class Rect
{

  friend class PolygonEngine;

 protected:
  ScrCoord _x1,_y1,_x2,_y2;
  SZCoord  _z1,_z2;

 public:
  Rect(const ScrCoord x1=0, const ScrCoord y1=0, const ScrCoord x2=0, const ScrCoord y2=0);
  void Set(const ScrCoord x1, const ScrCoord y1, const ScrCoord x2, const ScrCoord y2);
  void Get(ScrCoord *x1, ScrCoord *y1, ScrCoord *x2, ScrCoord *y2) const;

  void Set(const ZCoord z1, const ZCoord z2);
  void Get(ZCoord *z1, ZCoord *z2);
};

#include "rect_i.h"

#endif
