
/*
 *
 * rect_i.h
 *
 */

#ifndef RECT_I_H
#define RECT_I_H

inline Rect::Rect(const ScrCoord x1, const ScrCoord y1, const ScrCoord x2, const ScrCoord y2)
{
  _x1 = x1;
  _y1 = y1;
  _x2 = x2;
  _y2 = y2;
}

inline void Rect::Set(const ScrCoord x1, const ScrCoord y1, 
		      const ScrCoord x2, const ScrCoord y2)
{
  _x1 = x1;
  _y1 = y1;
  _x2 = x2;
  _y2 = y2;
}

inline void Rect::Set(const ZCoord z1, const ZCoord z2)
{
  _z1 = z1;
  _z2 = z2;
}
  
inline void Rect::Get(ScrCoord *x1, ScrCoord *y1, ScrCoord *x2, ScrCoord *y2) const
{
  *x1 = _x1;
  *y1 = _y1;
  *x2 = _x2;
  *y2 = _y2;
}

inline void Rect::Get(ZCoord *z1, ZCoord *z2)
{
  *z1 = _z1;
  *z2 = _z2;
}

#endif
