/*
 *
 * std_levy_hynes.h
 *
 *
 */

#ifndef STD_MOK_H
#define STD_MOK_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifdef __STDC__
#define Mconcat(x,y) x##y
#define PRM(x) x
#else
#define Mconcat(x,y) x/**/y
#define PRM(x) ()
#endif

#ifndef MAX
#define MAX(x,y) ((x) > (y) ? (x) : (y))
#endif

#ifndef MIN
#define MIN(x,y) ((x) < (y) ? (x) : (y))
#endif

#define RANGE(x,m,M) ((x) < (m) ? (m) : ((x) > (M) ? (M) : (x)))

#define SGN(x)   ((x) ? ( (x) > 0 ? 1 : -1 ) : 0)
#define ABS(x)   ((x) > 0 ? (x) : -(x) )

#define BIG 32000

#define NEW(x)        ((x *)malloc(sizeof(x)))
#define NEWARRAY(x,n) ((x *)malloc(sizeof(x) * (n)))

#define Error(s) { fprintf(stderr,"error %d: ",errno); perror(s); exit(1); }

typedef double dbl;

#endif





