/*
 *
 * number.h
 *
 */

#ifndef NUMBER_H
#define NUMBER_H

#include <iostream.h>
#include "sintab.h"

const NUMBER_SHIFT = 7;

#define PRECISION_OVERRIDE

class Number
{
 public:
  Number(void);
  Number(const long int);
  Number(const double);
  Number(int);
  Number(float);
  operator long int();
  operator double();
  operator float();
  operator int();

  Number operator+=(const Number);
  Number operator-=(const Number);
  Number operator*=(const Number);
  Number operator/=(const Number);

  Number mld(const Number, const Number);
  Number mac(const Number, const Number);
  Number msc(const Number, const Number);

  Number neg(void);

  int    gt(void);
  int    ge(void);
  int    lw(void);
  int    le(void);


// private:
  long x;

//  friend ostream& operator<<(ostream&, const Number);
//  friend Number WSin(const Number);
//  friend Number WCos(const Number);

//  friend int operator < (const Number, const Number);
//  friend int operator > (const Number, const Number);
//  friend int operator <=(const Number, const Number);
//  friend int operator >=(const Number, const Number);

};

// Number WSin(const Number);
// Number WCos(const Number);

#include "number_i.h"

#endif

