/*
 *
 * world_i.h
 *
 */


#ifndef WORLD_I_H
#define WORLD_I_H

inline World::World(void) {  }

inline int World::AddWall(int v1, int v2, int color)
{
  Wall W(v1, v2, color);
  return _wall.Push(&W);
}

inline int World::AddVertex(Number x, Number y, int c1, int c2)
{
  WVertex V(x,y,c1,c2);
  return _vertex.Push(&V);
}


inline void World::Setup(void)
{
  int i;
  for(i=0; i < _wall.Size(); i++)
    _wall[i].Setup(_vertex);
}

inline array<Wall>& World::Walls(void)
{
  return _wall;
}

inline array<WVertex>& World::Vertice(void)
{
  return _vertex;
}


#endif
