/*
 *
 * colorcell_i.h
 *
 */

#ifndef COLORCELL_I_H
#define COLORCELL_I_H

inline ColorCell::ColorCell(void) {_r = _v = _b = 0; };

inline void ColorCell::Set(ColorComponent  r, 
			   ColorComponent  v, 
			   ColorComponent  b)
{
  _r = r;
  _v = v;
  _b = b;
}

inline void ColorCell::Get(ColorComponent *r, 
			   ColorComponent *v, 
			   ColorComponent *b) const
{
  *r = _r;
  *v = _v;
  *b = _b;
}

inline Flags& ColorCell::Stat(void)
{
  return _flags;
}


#endif
