/*
 *
 * flags.h
 *
 */

#ifndef FLAGS_H
#define FLAGS_H

typedef int   Flag;
typedef long  FlagSet;

class Flags
{
  FlagSet _flags;

 public:

  Flags(const FlagSet init = 0);
  Flag   Get(const Flag f) const;
  void   Set(const Flag f);
  void Reset(const Flag f);
  FlagSet GetAll(void) const;
  void    SetAll(const FlagSet fs);
};

#include "flags_i.h"

#endif
