/*
 *
 * polygon_i.h
 *
 */

#ifndef POLYGON_I_H
#define POLYGON_I_H

#include <iostream.h>

inline         Polygon::Polygon(void)          { _npv = 0;         }

inline void    Polygon::Push(Vertex* pv)       
{ 
#ifdef EBUG
  assert(_npv < POLYGON_SZ);
#endif
  _pv[_npv++] = pv; 
}

inline void    Polygon::Reset(void)            { _npv = 0;         }

inline Vertex* Polygon::operator[](int idx)    
{ 
#ifdef EBUG
  assert(((idx >= 0) && (idx < _npv)));
#endif
  return _pv[idx];  
}

inline int     Polygon::Size(void)             { return _npv;      }

#endif
