/*
 *
 * vpool.h
 *
 */

#ifndef VPOOL_H
#define VPOOL_H

#include "gdefs.h"

const int VERTEXPOOL_SZ = 100;

class VertexPool
{

 protected:
  Vertex _v[VERTEXPOOL_SZ];
  int    _nv;

 public:
  VertexPool(void);
  Vertex* New(void);
  void    Reset(void);

};

#include "vpool_i.h"

#endif
