/*
 *
 * vpool_i.h
 *
 */

#ifndef VPOOL_I_H
#define VPOOL_I_H

inline          VertexPool::VertexPool(void) { _nv = 0;             }
inline  Vertex* VertexPool::New(void)        
{ 
#ifdef EBUG
  assert(_nv < VERTEXPOOL_SZ);
#endif
  return &(_v[_nv++]); 
}
inline  void    VertexPool::Reset(void)      { _nv = 0;             }

#endif
